Message: Re: Qt5 Installation Error Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Ok Re: Qt5 Installation Error 

Forum: Installation and Configuration
Re: Question Qt5 Installation Error (Thuy Tran)
Re: None Re: Qt5 Installation Error (Brian Smith)
Date: 23 Sep, 2015
From: Thuy Tran <Thuy Tran>

Hi Brian. Thanks for your help. I had set an incorrect PATH environment variable. So, I have fixed it as “C:\Qt\Qt5.5.0\5.5\msvc2013\bin”, and rebuilt the Geant4 with the three options. In the CMAKE, when configuring, the line ‘QT_MAKE_EXECUTABLE NOT FOUND’ was still there but it was not in red and done (‘Configuring done’). When generating, there were red lines in the result window, but it was also done (‘Generating done’) with ‘Rebuild All: 82 succeeded, 0 failed, 0 skipped’. However, when I tried to build an extended example (the /medical/dna/microdosimetry), it had 2 errors (‘Error C1083: cannot open include file ‘G4UIQt.hh’: No such file or directory’ and ‘IntelliSense: cannot open source file ‘G4UIQt.hh’) and 32 warnings. I found out that the header G4UIQt.hh was in the folder of .\geant4\include\Geant4 but not in the .\geant4\geant4.10.1-install\include\Geant4. Therefore, I copied the G4UIQt.hh to the .\geant4\geant4.10.1-install\include\Geant4. I also changed the #include "G4UItcsh.hh" to #include "G4UIcsh.hh" in the microdosimetry.cc (because I did not see "G4UItcsh.hh" in the .\include\Geant4. I am not sure if that was the issue but I am now able to run the example. Thanks again.

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 More: Re: Qt5 Installation Error   (Brian Smith - 23 Sep, 2015)
(_ Question: Re: Qt5 Installation Error   (Thuy Tran - 23 Sep, 2015)
(_ None: Re: Qt5 Installation Error   (Brian Smith - 23 Sep, 2015)
(_ Question: Re: Qt5 Installation Error   (Thuy Tran - 23 Sep, 2015)
(_ None: Re: Qt5 Installation Error   (Brian Smith - 25 Sep, 2015)
(_ Note: Re: Qt5 Installation Error   (Thuy Tran - 29 Sep, 2015)
 Add Message Add Message
to: "Re: Qt5 Installation Error"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]